Bug 487510 - Licensing issue of ghostscript CMap files
Summary: Licensing issue of ghostscript CMap files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: poppler-data
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-26 13:49 UTC by Peter Backes
Modified: 2009-07-30 12:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-30 12:52:55 UTC
Type: ---


Attachments (Terms of Use)

Description Peter Backes 2009-02-26 13:49:04 UTC
Description of problem:
/usr/share/ghostscript/8.63/Resource/CMap/* all say that "the contents of
this file [may] not [be] altered in any way from its original form."

Version-Release number of selected component (if applicable):
ghostscript-8.63-4.fc10.i386

Additional info:
See also http://packages.debian.org/changelogs/pool/main/g/ghostscript/ghostscript_8.62.dfsg.1-3.2lenny0/gs-common.copyright -- "Note: The directory Resource/CMap is stripped from the source tarball, as its content is not GPL-licensed (only verbatim copying is allowed)."

Comment 1 Rex Dieter 2009-06-24 01:05:46 UTC
Adding dep on poppler-data, as that's essentially the same stuff at issue here.

Comment 2 Rex Dieter 2009-06-24 01:43:31 UTC
I'll echo what I just commented in the poppler-data review:

The more I think about it, the more black and white it is ... this content can't possibly be acceptable for fedora.

Comment 3 Rex Dieter 2009-06-24 02:03:56 UTC
/me removes foot from mouth, Re-reading,
https://fedoraproject.org/wiki/Licensing#Content_Licenses

"... The one exception is that we permit content (but only content) which restricts modification as long as that is the only restriction."

Comment 4 Peter Backes 2009-06-24 19:35:53 UTC
I understand "content" as some kind of text or image. The files in question rather look like "data," not "content".

Better than Fedora's criterion of "content" is the distinction of RMS between functional works and things like works of opinion. RMS says that functional works must be free, while it is sufficient for works of opinion to be shareable (a weaker criterion). As I see it, these CMap file are clearly functional, as they seem to do some mapping.

Having said that, the copyright claim seems bogus to me, as this is rather a database without any creativity involved and so it shouldn't be eligible for copyright ...

Comment 5 Tom "spot" Callaway 2009-07-06 14:25:08 UTC
I'm going to defer this decision to FESCo, specifically:

"Are the CMap files considered as code or content?"

If they're code, they need to be removed (as the license is non-free), but I am unaware of any free-licensed CMap files. 

These CMap files are coded to Adobe's CMap file specification:
http://www.adobe.com/devnet/font/pdfs/5014.CIDFont_Spec.pdf

That gives the definition of a CMap as:
"The CMap, or character code map, maps character codes to glyph selectors."

As the CMap file is simply a "mapping" of these character codes for the various encodings, I suspect that it is probably true that any attempt to replace the Adobe CMap files would result in functionally identical postscript.

This is right on the line of whether it is code or content. It is clearly written in postscript (an machine language), but these CMap files are not strictly meant to be executed, rather, they provide a strict set of character mappings for font encodings.

If I had a vote (which, technically, I don't), I would say that this is barely considered as content.

Opened a ticket with FESCo:
https://fedorahosted.org/fesco/ticket/177

Comment 6 Tim Waugh 2009-07-06 14:51:11 UTC
Thanks!

Comment 7 Jon Stanley 2009-07-06 15:15:02 UTC
This is now on the FESCo agenda, the meeting discussing it will be this Friday (7/10) at 17:00UTC (1PM EDT) in #fedora-meeting on irc.freenode.net

Comment 8 Tom "spot" Callaway 2009-07-10 20:01:50 UTC
FESCo decided that the CMap files are content. 

Please add "Redistributable, no modification permitted" to the License tag for any package that has these Adobe CMap files (ghostscript, poppler-data). Lifting FE-Legal, but leaving this bug open until the license tags are updated in Rawhide.

Comment 9 Rex Dieter 2009-07-30 12:52:55 UTC
License updated in rawhide.


Note You need to log in before you can comment on or make changes to this bug.